Bug 351851 - [RHEL5.2] Evolution-data-server does not honor the HTTP proxy ignore list.
[RHEL5.2] Evolution-data-server does not honor the HTTP proxy ignore list.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: evolution-data-server (Show other bugs)
5.0
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Milan Crha
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-25 03:01 EDT by Göran Uddeborg
Modified: 2009-03-10 11:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-10 11:44:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 555888 None None None Never

  None (edit)
Description Göran Uddeborg 2007-10-25 03:01:23 EDT
Description of problem:
A HTTP proxy with an ignore list is configured in gconf.  Evolution is
configured to use a webcal on from a host that should not go through the proxy.
 But apparently, evolution-data-server still tries to go through the proxy when
fetching this webcal.

Version-Release number of selected component (if applicable):
evolution-data-server-1.8.0-15.0.4.el5

How reproducible:
Every time

Steps to Reproduce:
These are my settings:

gora$ gconftool-2 --recursive-list /system/http_proxy
 use_http_proxy = true
 use_authentication = false
 host = m460
 ignore_hosts = [localhost,127.0.0.0/8,192.168.0.0/16]
 authentication_user = 
 authentication_password = 
 port = 80

gora$ host m460
m460.carmen.se is an alias for clavister-m460.carmen.se.
clavister-m460.carmen.se has address 192.168.100.250
clavister-m460.carmen.se mail is handled by 10 clavister-m460.carmen.se.

gora$ gconftool-2 --get-list-element  /apps/evolution/calendar/sources 1
<?xml version="1.0"?>
<group uid="1171639857.7855.6@gora" name="P&#xE5; webben" base_uri="webcal://"
readonly="no"><source uid="1176360708.17627.0@gora" name="Helgdagar"
relative_uri="wiki/ical/Svenska-Helgdagar.ics"
color="ff0000"><properties><property name="alarm" value="false"/><property
name="refresh" value="720"/></properties></source></group>

gora$ host wiki
wiki.carmen.se is an alias for honolulu.carmen.se.
honolulu.carmen.se has address 192.168.98.24

Actual results:
When I start evolution, I get an error message "Error on
webcal://wiki/ical/Svenska-Helgdagar.ics: Service Unavailable"

Additional info:
I attached an "strace -f" to my bonobo-activation-server.  In the log I see
these lines (cutting out a lot, obviously):

19089 clone(child_stack=0,
flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD, child_tidptr=0x41e439d0)
= 19090

19090 execve("/usr/libexec/evolution-data-server-1.8",
["/usr/libexec/evolution-data-server-1.8",
"--oaf-activate-iid=OAFIID:GNOME_Evolution_DataServer_InterfaceCh"...,
"--oaf-ior-fd=19"], [/* 73 vars */] <unfinished ...>

19090 socket(PF_INET, SOCK_STREAM, IPPROTO_IP <unfinished ...>

19090 <... socket resumed> )            = 27

9090 connect(27, {sa_family=AF_INET, sin_port=htons(80),
sin_addr=inet_addr("192.168.100.250")}, 16 <unfinished ...>

19090 <... connect resumed> )           = -1 EINPROGRESS (Operation now in progress)

19090 write(27, "GET http://wiki/ical/Svenska-Helgdagar.ics HTTP/1.1\r\nHost:
wiki\r"..., 96 <unfinished ...>
19090 <... write resumed> )             = 96

Note how it connects to 192.168.100.250 which is host m460 rather than directly
to host wiki on 192.168.98.24 as I would have expected.

I've tried with various settings in the ignore list, mentioning the wiki host
explicitly for example.  But it doesn't seem to make any difference.
Comment 1 Matthew Barnes 2008-03-16 18:30:51 EDT
RHEL 5.2 will re-base Evolution from version 2.8.0 to version 2.12.3.
Can you please test whether this bug is still present in RHEL 5.2?
Comment 2 Göran Uddeborg 2008-04-09 10:34:54 EDT
The bug is still present.

I installed the following packages from 5.2β, and it still tries to connect to
the  proxy in the test case in comment 0.

evolution-2.12.3-6.el5
evolution-connector-2.12.3-4.el5
evolution-data-server-1.12.3-5.el5
evolution-data-server-devel-1.12.3-5.el5
gtkhtml3-3.16.3-1.el5
nspr-4.7.0.99.1-1.el5
nss-3.11.99.4-1.el5
Comment 4 RHEL Product and Program Management 2008-07-21 19:08:49 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 9 RHEL Product and Program Management 2009-03-10 11:44:34 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.